> ## Documentation Index
> Fetch the complete documentation index at: https://anyip.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Batch delete proxy accounts

> Deletes proxy accounts by id. All ids must belong to the team.



## OpenAPI

````yaml /openapi.json delete /api/v1/teams/{team_id}/proxy_accounts/batch
openapi: 3.1.0
info:
  title: AnyIP.io API documentation
  description: API documentation
  version: 1.0.0
servers:
  - url: /
    description: ''
security:
  - apiHeader: []
tags:
  - name: V1.IpWhitelist
    description: Public API v1 — IP whitelist management
  - name: V1.ProxyAccount
    description: Public API v1 — proxy account provisioning and lifecycle
  - name: V1.ProxyProfile
    description: Public API v1 — proxy profile management
  - name: V1.Subscription
    description: Public API v1 — team subscription (read-only)
  - name: V1.Tag
    description: Public API v1 — tag management
  - name: V1.Traffic
    description: Public API v1 — traffic time series (read-only)
  - name: V1.Usage
    description: Public API v1 — quota usage (read-only)
paths:
  /api/v1/teams/{team_id}/proxy_accounts/batch:
    delete:
      tags:
        - V1.ProxyAccount
      summary: Batch delete proxy accounts
      description: Deletes proxy accounts by id. All ids must belong to the team.
      operationId: public_v1_proxy_account_delete_batch
      parameters:
        - name: team_id
          in: path
          description: Team identifier
          required: true
          deprecated: false
          schema:
            type: string
          style: simple
          explode: false
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                ids:
                  type: array
                  description: Document identifiers.
                  items:
                    type: string
                    pattern: ^[0-9a-fA-F]{24}$
                    example: 507f1f77bcf86cd799439011
                  minItems: 1
                  maxItems: 100
                  example:
                    - 507f1f77bcf86cd799439011
              required:
                - ids
              additionalProperties: false
        required: true
      responses:
        '204':
          description: V1.ProxyAccount resource deleted
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
          links: {}
        '404':
          description: Not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
          links: {}
components:
  schemas:
    Error:
      type: object
      description: A representation of common errors.
      properties:
        title:
          readOnly: true
          description: A short, human-readable summary of the problem.
          type:
            - string
            - 'null'
        detail:
          readOnly: true
          description: >-
            A human-readable explanation specific to this occurrence of the
            problem.
          type:
            - string
            - 'null'
        status:
          type:
            - integer
            - 'null'
          examples:
            - 404
          default: 400
        instance:
          readOnly: true
          description: >-
            A URI reference that identifies the specific occurrence of the
            problem. It may or may not yield further information if
            dereferenced.
          type:
            - string
            - 'null'
        type:
          readOnly: true
          description: A URI reference that identifies the problem type
          type: string
  securitySchemes:
    apiHeader:
      type: apiKey
      description: Value for the Api-Key header parameter.
      name: Api-Key
      in: header

````